/**
 * The kobold's interactions with the tentacle plant.
 */
function TentaclePlantShared() {
    // PRIVATE MEMBERS \\       var private = "test";
    var that = this;

    // PRIVATE FUNCTIONS \\     function privateFunction(){}

    // PUBLIC MEMBERS \\        this.public = "test";
    this.encountered = false; // Kobold encountered the tentacle plant.
    this.sucked = false; // Kobold sucked the tentacle plant.
    this.fucked = false; // Kobold was fucked by the tentacle plant.
    this.enjoyed = false; // Kobold enjoyed getting fucked by the tentacle plant.
    this.sapKnowledge = false; // Kobold knows about the tentacle plant's sap.
    this.sapTasted = false; // Kobold tasted the tentacle plant's sap.

    // PUBLIC FUNCTIONS \\      this.publicFunction = function(){};

    /**
     * Loads this object from a type-stripped version thereof.
     * @param {Shared-stripped} shared A Shared object, stripped of private members and all functions.
     */
    this.load = function (shared) {
        var defaults = new TentaclePlantShared();
        if (!shared) {
            that.load(new TentaclePlantShared());
            return;
        }
        that.encountered = shared.encountered || defaults.encountered;
        that.sucked = shared.sucked || defaults.sucked;
        that.fucked = shared.fucked || defaults.fucked;
        that.enjoyed = shared.enjoyed || defaults.enjoyed;
        that.sapKnowledge = shared.sapKnowledge || defaults.sapKnowledge;
        that.sapTasted = shared.sapTasted || defaults.sapTasted;
    };
}

