/**
 * Fail section of Varanar, Afternoon Three.
 * @param {AfternoonThreeParlorController} controller The Varanar, Afternoon Three controller.
 */
function AfternoonThreeParlorFailSuccumb(controller) {
    // PRIVATE MEMBERS \\       var private = "test";
    var that = this;
    var ctrl = controller;

    var reqChoice = AfternoonThreeParlorFailChoicesChoice.SUCCUMB;
    var reqController = ctrl.fail;

    var continueId = arguments.callee.name + "ButtonOne";

    // PRIVATE FUNCTIONS \\     function privateFunction(){}

    /**
     * Builds and returns the content of this section.
     * @returns {string} The content.
     */
    function buildContent() {
        var toReturn = `[p]
                            Threatening to beat you to [b]death[/b] if you don't comply,
                            Tychus forces your face into the bent-over bear's sweaty behind,
                            forcing your muzzle in between his furred buttcheeks.
                            Your face is coated in perspiration, the only fluid you've felt in [b]days[/b].
                            "[color=purple][b]LICK![/b][/color]" comes the simple command,
                            one you would [b]never[/b] have followed in your [i]previous[/i] life.
                            But it's amazing how much a kobold can change in a month of [b]torture[/b] and [b]imprisonment[/b].
                        [/p]
                        [p]
                            You don't want to get whipped.
                            Not anymore.
                            You want to be like those other kobolds.
                            The ones you saw at the very beginning of all of this.
                            They weren't scarred from head to toe.
                            They looked content.
                            Well-fed, even.
                            You'd [b]kill[/b] for a slice of bread with more [b]crust[/b] than [b]mold[/b].
                            If you play along, maybe you'll get rewarded.
                        [/p]
                        [p]
                            Your mind broken, your slender tongue snakes from your muzzle,
                            flicking out at the big ursine's rear much like Tychus' whip cracked along your chest the day before.
                            Your mouth is [b]flooded[/b] with filth, but being used to eating mostly mold by now,
                            it doesn't even faze you.
                            The bear seems pleased.
                            So you keep licking.
                            Lap after lap after lap, cleaning bits of dirt and grime from the fur on his ass.
                        [/p]
                        [p]
                            A few minutes later, you are pulled back, only to be forced into his armpit, to repeat the process.
                            Most of that afternoon, you spend exploring your ursine client's body with your tongue, cleaning him from head to toe,
                            all under Tychus' vigilant watch.
                            Finally, your gargantuan task comes to an end, as you dig out a particularly [b]nasty[/b] bit of filth from the big bear's belly button.
                            Your face is coated in sweat and dirt, your stomach is filled with much of the same, and you have forsaken your last bit of pride,
                            but at least you're not getting whipped tonight.
                        [/p]
                        [p]
                            Before throwing you back into your isolation cell, your human master gives you a few threatening words.
                            "[color=purple]Tomorrow, I won't be there to hold your head the entire time.
                            Tonguebathe your clients on your own, slave.
                            One complaint, and I'll do [b]far[/b] worse than just whipping you.[/color]"
                        [/p]
                        [p]
                            From the next day onwards, your new life begins.
                            You lick dirty fur, suckle grime from underneath untrimmed toenails, get used as a footmat by a dragon or two, eat equine ass,
                            tongue canine sheaths to clean the cockfilth from within, use your entire scaly body to wipe a well-built hippo clean of mud,
                            and even serve a feral every now and again.
                        [/p]
                        [p]
                            Not a week after you've accepted your place, you are let ouf ot your [i]hole[/i],
                            allowed to reside with the rest of the massagists.
                            They shun and look down on you, calling you a [b]whore[/b] and a [b]harlot[/b], but you're just doing what Tychus wants you to do.
                            At night, you sometimes get held down and beaten up by your fellow slaves, but never bad enough to leave any permanent marks.
                            It hurts, but not nearly as much as the whipping did.
                            Your twisted mind considers it a sign of friendship.
                            Every rookie went through this, right?
                        [/p]
                        [p]
                            Wrong.
                            A sixth kobold joins, and promptly joins the rest in abusing and ostracizing you.
                            But still, despite not fitting in with the other very well, your skillful tongue-work draws quite a crowd to the Kobold's Den.
                            Before long, the others are pulled from their massaging duties, forced to perform the same degrading acts you are.
                            This makes them like you [b]even less[/b].
                            Ontop of serving customers during the day, you are forced to clean your [i]roommates[/i] at night.
                        [/p]
                        [p]
                            The new one, especially, is a rowdy one.
                            He always takes things one step further.
                            One of the females makes you lick her slit clean of dirt,
                            he makes you suck him off.
                            Your tailhole gets fingered for a [i]prank[/i],
                            he climbs ontop of you, rams himself inside of your ass, and fucks the shit out of you.
                            The others beat you up as they have countless of times before,
                            he picks up a [b]rock[/b] he smuggled inside, and [b]bashes[/b] you with it until you scream so loud you wake up Tychus himself,
                            who promptly proceeds to [b]whip[/b] you.
                        [/p]
                        [p]
                            How much longer can you endure this abuse?
                            You don't know.
                            Does it matter?
                            At least you're no longer confined to your cell.
                            That place was [b]hell[/b].
                            But after the whipping, your master decides you're no longer fit to stay with the rest.
                            He only has one other place for you.
                            Back into the hole you go.
                            Into hell once again.
                        [/p]
                        [p]
                            From that point onwards,
                            your only relief from crushingly oppressive darkness are the sparse few moments in between being pulled from your cell,
                            and being forced into yet another client's rear.
                        [/p]
                        [p]
                            [c]
                                [b]
                                    Masseuse end.
                                [/b]
                            [/c]
                        [/p]`;

        return global.parser.parse(toReturn);
    }

    /**
     * Builds and returns the continue button.
     */
    function buildChoice() {
        var choice = `<div class="choicecontainer">`;
        choice += `<button class="button bigbutton continuebutton" style="margin-left: auto; position: relative; float: right;" id="${continueId}">`;
        choice += `&lt;&lt Revert`;
        choice += `</button>`;
        choice += `</div>`;
        return choice;
    }

    /**
     * Disables all three buttons.
     */
    function disableButtons() {
        var buttons = [$("#" + continueId)];
        buttons.forEach(function (button) {
            button.unbind();
            button.attr("disabled", true);
        });
    }

    /**
     * Adds a listener to the button.
     */
    function registerContinueListener() {
        $("#" + continueId).click(function () {
            $(this).addClass("selected");
            disableButtons();
            ctrl.bgm.stopLoop();
            ctrl.reset();
            ctrl.reload();
        });
    }

    // PUBLIC MEMBERS \\        this.public = "test";
    this.id = arguments.callee.name;

    // PUBLIC FUNCTIONS \\      this.publicFunction = function(){};

    /**
     * Builds and returns this part.
     * @param {boolean} invisible If passed and true, will give the entire section a display:none style.
     */
    this.build = function (invisible) {
        if (reqController && ((reqChoice && reqController.get() !== reqChoice) || (!reqChoice && !reqController.continued()))) {
            return "";
        }

        global.ui.applyTheme("hamlet_barn");
        var part = `<div id="${that.id}" ${invisible ? 'style="display:none;"' : ""}>`;
        part += buildContent();
        part += buildChoice();
        part += `</div>`;
        return part;
    };

    /**
     * Registers all the required button listeners for this part.
     */
    this.registerListeners = function () {
        if (reqController && ((reqChoice && reqController.get() !== reqChoice) || (!reqChoice && !reqController.continued()))) {
            return;
        }

        registerContinueListener();
    };
}
